put
https://api.dexatel.com/v1/templates/
400Bad Request:
| Code | Message | Description |
|---|---|---|
| 1259 | 'data.name' is invalid | |
| 1260 | 'data.text' is too long | Text must be at most 1000 characters |
| 1265 | 'data.url' is too long | URL must be at most 2083 characters |
| 1266 | 'data.url' contains invalid characters | URL must be valid |
| 1268 | 'data.filename' is too long | Filename must be at most 512 characters |
| 1269 | 'data.filename' contains invalid characters | Filename must only contain [a-zA-Z0-9_] characters |
| 1273 | 'date.button_value' is invalid it should be a valid phone number in case of PHONE_CALL type, or valid URL in case of LINK type | |
| 1274 | 'data.button_text' too long | Button Text must be at most 20 characters |
| 1278 | File extension can be only: .bmp, .gif, .jpg, .jpeg, .png, .svg, .webp. maximum size 24 MB | For Viber image template |
| 1279 | File extension can be only: .3gpp, .m4v, .mov, .mp4. maximum size is 200 MB | For Viber video template |
| 1280 | File extension can be only: .txt, .doc, .docx, .dot, .dotx, .rtf, .odt, .odf, .fodt, .info.pdf, .xps, .pdax, .eps.xls, .xlsx, .xltx, .xlsm, .csv, .ods, .fods. maximum size 200 MB | For Viber document template |
| 1282 | URL should start with with 'https://' and have maximum length of 1000 characters | For Viber URLs |
| 1283 | Document name should be Maximum 25 characters | Viber filename must be at most 25 characters |
| 1284 | Both 'data.button_value' and 'data.button_text' are required in case one of them specified or both of them must be removed | For Viber template with buttons |
| 1285 | Text + Image combination not allowed (button is missing) | For Viber image template |
| 1287 | Image and Text combination not supported by Viber | For Viber image template |
| 1289 | 'data.media_id' is invalid | Should be valid UUID |
| 1293 | Unable to remove 'data.text' when the template type is 'text' | Text can't be removed for Viber(text) template |
| 1294 | Unable to update 'data.filename' when the template type is 'data.image' or 'data.video' | Only Viber document template can have filename |
| 1295 | Either 'data.media_id' or 'data.url' must be provided | For image, video or document templates can't remove both values |
| 1298 | For 'data.type: video' only 'data.media_id'/'data.url', 'data.name' can be updated | Viber video template do not support 'button_text', 'button_value' and 'filename' |
| 1299 | For 'data.type: document' only 'data.filename', 'data.media_id'/'data.url', 'data.name' can be updated | Viber document template do not support 'text', 'button_text' and 'button_value' |
| 1300 | The combination is not supported. Possible combinations include image, text and button | |
| 1301 | 'data.button_type' unknown field | |
| 1305 | 'data.filename' can't be removed from 'Document' template | For document templates can't remove filename value |
404Not Found:
| Code | Message |
|---|---|
| 1251 | Template not found |